


Project "recite.1.0"						 Page 1
List of Changes				       Wed Aug 11 12:17:40 1993

Change	State		Description
------- -------		-------------
   1	completed	grab the speak program as a start
   2	completed	add klatt phoneme processing
   3	completed	add frames to sound processing
   4	completed	add a few more english rules
   5	completed	fix fricative problem
   6	completed	fix makefile for distribution
   7	being_		fix copyright notices
	integrated



Project "recite.1.0", Change 1					 Page 1
Change Details				       Wed Aug 11 12:17:43 1993

NAME
	Project "recite.1.0", Delta 1, Change 1.

SUMMARY
	grab the speak program as a start

DESCRIPTION
	Take the english to text part of the speak program done by
	John A. Wasser <WASSER%VIKING.DEC@decwrl.ARPA>

	This change is exempt from testing against the baseline.

CAUSE
	This change was caused by internal_enhancement.

FILES
	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	create	1	LICENSE
	source	create	1	audio/audio.c
	source	create	1	audio/audio.h
	source	create	1	aux/BUILDING.man
	source	create	1	aux/CHANGES.sh
	source	create	1	aux/Howto.cook
	source	create	1	aux/MANIFEST.sh
	source	create	1	aux/Makefile.awk
	source	create	1	aux/Makefile.sh
	source	create	1	aux/README.man
	source	create	1	aux/patches.sh
	source	create	1	common/ansi.c
	source	create	1	common/arglex.c
	source	create	1	common/arglex.h
	source	create	1	common/error.c
	source	create	1	common/error.h
	source	create	1	common/help.c
	source	create	1	common/help.h
	source	create	1	common/main.h
	source	create	1	common/mem.c
	source	create	1	common/mem.h
	source	create	1	common/s-v-arg.h
	source	create	1	common/trace.c
	source	create	1	common/trace.h
	source	create	1	common/version.c
	source	create	1	common/version.h
	source	create	1	config
	source	create	1	english/english.c
	source	create	1	english/english.h
	source	create	1	english/phoneme.c
	source	create	1	english/phoneme.h
	source	create	1	english/rules.c
	source	create	1	english/saynum.c
	source	create	1	english/saynum.h
	source	create	1	english/spellword.c
	source	create	1	english/spellword.h
	source	create	1	klatt/klatt.c
	source	create	1	klatt/klatt.h
	source	create	1	man1/recite.1



Project "recite.1.0", Change 1					 Page 2
Change Details				       Wed Aug 11 12:17:43 1993

	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	create	1	phonemes/phonemes.c
	source	create	1	phonemes/phonemes.h
	source	create	1	recite/file.c
	source	create	1	recite/file.h
	source	create	1	recite/main.c
	test	create	1	test/00/t0001a.sh

HISTORY
	What		When		Who	Comment
	------		------		-----	---------
	new_change	Wed Feb	 3	pmiller
			12:13:27 1993
	develop_begin	Wed Feb	 3	pmiller Elapsed time: 0.000
			12:13:51 1993		days.
	develop_end	Wed Feb	 3	pmiller
			23:12:41 1993
	review_pass	Wed Feb	 3	pmiller
			23:14:19 1993
	integrate_begin Wed Feb	 3	pmiller
			23:14:34 1993
	integrate_pass	Wed Feb	 3	pmiller
			23:17:27 1993



Project "recite.1.0", Change 2					 Page 1
Change Details				       Wed Aug 11 12:17:44 1993

NAME
	Project "recite.1.0", Delta 2, Change 2.

SUMMARY
	add klatt phoneme processing

DESCRIPTION
	add klatt phoneme processing

CAUSE
	This change was caused by internal_enhancement.

FILES
	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	modify	2	common/ansi.c
	source	modify	2	common/trace.c
	source	modify	2	common/trace.h
	source	create	1	phonemes/features.c
	source	create	1	phonemes/features.h
	source	create	1	phonemes/fricatives.c
	source	create	1	phonemes/fricatives.h
	source	create	1	phonemes/output.c
	source	create	1	phonemes/output.h
	source	modify	2	phonemes/phonemes.c
	source	modify	2	phonemes/phonemes.h
	source	create	1	phonemes/plosives.c
	source	create	1	phonemes/plosives.h
	source	create	1	phonemes/rules.c
	source	create	1	phonemes/rules.h
	source	create	1	phonemes/sonorants.c
	source	create	1	phonemes/sonorants.h
	source	create	1	phonemes/var.c
	source	create	1	phonemes/var.h
	source	create	1	phonemes/vowel.c
	source	create	1	phonemes/vowel.h
	source	modify	2	recite/main.c
	test	create	1	test/00/t0002a.sh

HISTORY
	What		When		Who	Comment
	------		------		-----	---------
	new_change	Wed Feb	 3	pmiller
			23:19:18 1993
	develop_begin	Wed Feb	 3	pmiller Elapsed time: 1.713
			23:19:23 1993		days.
	develop_end	Mon Feb	 8	pmiller
			13:40:16 1993
	review_pass	Mon Feb	 8	pmiller
			13:41:18 1993
	integrate_begin Mon Feb	 8	pmiller
			13:41:37 1993
	integrate_pass	Mon Feb	 8	pmiller
			13:44:40 1993



Project "recite.1.0", Change 3					 Page 1
Change Details				       Wed Aug 11 12:17:45 1993

NAME
	Project "recite.1.0", Delta 5, Change 3.

SUMMARY
	add frames to sound processing

DESCRIPTION
	add frames to sound processing

CAUSE
	This change was caused by internal_enhancement.

FILES
	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	modify	2	audio/audio.c
	source	modify	2	aux/Howto.cook
	source	create	1	common/frame.c
	source	create	1	common/frame.h
	source	modify	2	english/english.c
	source	modify	2	english/phoneme.c
	source	modify	2	english/rules.c
	source	modify	2	english/saynum.c
	source	modify	2	klatt/klatt.c
	source	modify	2	klatt/klatt.h
	source	create	1	klatt/parwave.c
	source	create	1	klatt/parwave.h
	source	create	1	klatt/r250.c
	source	create	1	klatt/r250.h
	source	modify	2	phonemes/features.h
	source	modify	2	phonemes/fricatives.c
	source	remove	1	phonemes/output.c
	source	remove	1	phonemes/output.h
	source	modify	3	phonemes/phonemes.c
	source	modify	3	phonemes/phonemes.h
	source	modify	2	phonemes/plosives.c
	source	modify	2	phonemes/sonorants.c
	source	modify	2	phonemes/vowel.c
	source	modify	2	recite/file.c
	source	modify	3	recite/main.c
	test	modify	2	test/00/t0001a.sh
	test	modify	2	test/00/t0002a.sh
	test	create	1	test/00/t0003a.sh

HISTORY
	What		When		Who	Comment
	------		------		-----	---------
	new_change	Mon Feb	 8	pmiller
			13:46:37 1993
	develop_begin	Mon Feb	 8	pmiller Elapsed time: 2.217
			13:46:43 1993		days.
	develop_end	Wed Feb 10	pmiller
			15:24:27 1993
	review_pass	Wed Feb 10	pmiller
			15:24:32 1993
	integrate_begin Wed Feb 10	pmiller
			15:25:04 1993



Project "recite.1.0", Change 3					 Page 2
Change Details				       Wed Aug 11 12:17:45 1993

	What		When		Who	Comment
	------		------		-----	---------
	integrate_fail	Wed Feb 10	pmiller references to output.h
			15:28:28 1993		still remain
	develop_end	Wed Feb 10	pmiller Elapsed time: 0.188
			15:32:13 1993		days.
	review_pass	Wed Feb 10	pmiller
			16:56:44 1993
	integrate_begin Wed Feb 10	pmiller Elapsed time: 0.000
			16:57:03 1993		days.
	integrate_fail	Thu Feb 11	pmiller hangs strangely
			09:25:26 1993		Elapsed time: 1.953
						days.
	develop_end	Fri Feb 12	pmiller
			16:34:25 1993
	review_pass	Fri Feb 12	pmiller
			16:34:34 1993
	integrate_begin Fri Feb 12	pmiller Elapsed time: 0.068
			16:34:48 1993		days.
	integrate_pass	Fri Feb 12	pmiller
			17:05:25 1993



Project "recite.1.0", Change 4					 Page 1
Change Details				       Wed Aug 11 12:17:46 1993

NAME
	Project "recite.1.0", Delta 6, Change 4.

SUMMARY
	add a few more english rules

DESCRIPTION
	add a few more english rules

	This change is exempt from testing against the baseline.

CAUSE
	This change was caused by internal_enhancement.

FILES
	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	modify	2	config
	source	modify	3	english/english.c
	source	modify	3	english/phoneme.c
	source	modify	3	english/rules.c
	source	create	1	english/rules.h
	source	modify	4	phonemes/phonemes.c
	source	modify	2	phonemes/rules.c
	source	modify	2	phonemes/rules.h
	test	modify	3	test/00/t0001a.sh
	test	modify	3	test/00/t0002a.sh

HISTORY
	What		When		Who	Comment
	------		------		-----	---------
	new_change	Fri Feb 12	pmiller
			22:12:27 1993
	develop_begin	Fri Feb 12	pmiller Elapsed time: 43.678
			22:12:32 1993		days.
	develop_end	Fri Apr 16	pmiller
			11:17:48 1993
	review_pass	Fri Apr 16	pmiller
			11:19:01 1993
	integrate_begin Fri Apr 16	pmiller
			11:19:20 1993
	integrate_pass	Fri Apr 16	pmiller
			11:24:17 1993



Project "recite.1.0", Change 5					 Page 1
Change Details				       Wed Aug 11 12:17:47 1993

NAME
	Project "recite.1.0", Delta 7, Change 5.

SUMMARY
	fix fricative problem

DESCRIPTION
	fix fricative problem

	This change is exempt from testing against the development
	directory.  This change is exempt from testing against the
	baseline.

CAUSE
	This change was caused by internal_bug.

FILES
	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	modify	2	aux/Makefile.sh
	source	modify	4	english/rules.c
	source	modify	3	klatt/klatt.c
	source	modify	2	klatt/parwave.c
	source	modify	3	phonemes/plosives.c

HISTORY
	What		When		Who	Comment
	------		------		-----	---------
	new_change	Fri Apr 16	pmiller
			11:36:48 1993
	develop_begin	Fri Apr 16	pmiller Elapsed time: 82.707
			11:36:52 1993		days.
	develop_end	Wed Aug 11	pmiller
			09:25:13 1993
	review_pass	Wed Aug 11	pmiller
			09:25:30 1993
	integrate_begin Wed Aug 11	pmiller Elapsed time: 0.023
			09:25:57 1993		days.
	integrate_pass	Wed Aug 11	pmiller
			09:36:22 1993



Project "recite.1.0", Change 6					 Page 1
Change Details				       Wed Aug 11 12:17:49 1993

NAME
	Project "recite.1.0", Delta 10, Change 6.

SUMMARY
	fix makefile for distribution

DESCRIPTION
	fix makefile for distribution

	This change is exempt from testing against the development
	directory.  This change is exempt from testing against the
	baseline.

CAUSE
	This change was caused by internal_bug.

FILES
	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	modify	3	aux/Howto.cook
	source	modify	3	aux/Makefile.sh
	source	modify	3	common/trace.c
	source	modify	3	config
	source	modify	2	klatt/r250.c

HISTORY
	What		When		Who	Comment
	------		------		-----	---------
	new_change	Wed Aug 11	pmiller
			09:37:43 1993
	develop_begin	Wed Aug 11	pmiller Elapsed time: 0.083
			09:37:48 1993		days.
	develop_end	Wed Aug 11	pmiller Elapsed time: 0.028
			10:14:59 1993		days.
	develop_end_	Wed Aug 11	pmiller
	undo		10:27:39 1993
	develop_end	Wed Aug 11	pmiller
			10:30:49 1993
	review_pass	Wed Aug 11	pmiller
			10:31:03 1993
	integrate_begin Wed Aug 11	pmiller Elapsed time: 0.024
			10:31:36 1993		days.
	integrate_fail	Wed Aug 11	pmiller problems with common/
			10:42:20 1993		trace.c when doing
						test-build with the
						generated makefile
						Elapsed time: 0.027
						days.
	develop_end	Wed Aug 11	pmiller
			10:54:25 1993
	review_pass	Wed Aug 11	pmiller
			10:54:32 1993
	integrate_begin Wed Aug 11	pmiller
			10:54:57 1993
	integrate_fail	Wed Aug 11	pmiller nitialization in r250
			11:04:38 1993		is wrong
						Elapsed time: 0.028



Project "recite.1.0", Change 6					 Page 2
Change Details				       Wed Aug 11 12:17:49 1993

	What		When		Who	Comment
	------		------		-----	---------
						days.
	develop_end	Wed Aug 11	pmiller
			11:17:12 1993
	review_pass	Wed Aug 11	pmiller
			11:19:27 1993
	integrate_begin Wed Aug 11	pmiller
			11:19:53 1993
	integrate_pass	Wed Aug 11	pmiller
			11:29:05 1993



Project "recite.1.0", Change 7					 Page 1
Change Details				       Wed Aug 11 12:17:50 1993

NAME
	Project "recite.1.0", Delta 11, Change 7.

SUMMARY
	fix copyright notices

DESCRIPTION
	fix copyright notices

	This change must pass a full regression test.  This change is
	exempt from testing against the baseline.

CAUSE
	This change was caused by internal_improvement.

STATE
	This change is in 'being_integrated' state.

FILES
	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	modify	2	audio/audio.c
	source	modify	1	audio/audio.h
	source	modify	1	aux/BUILDING.man
	source	modify	1	aux/CHANGES.sh
	source	modify	1	aux/MANIFEST.sh
	source	modify	1	aux/Makefile.awk
	source	modify	1	aux/README.man
	source	modify	1	aux/patches.sh
	source	modify	1	common/arglex.c
	source	modify	1	common/arglex.h
	source	modify	1	common/error.c
	source	modify	1	common/error.h
	source	modify	1	common/frame.c
	source	modify	1	common/frame.h
	source	modify	1	common/help.c
	source	modify	1	common/help.h
	source	modify	1	common/main.h
	source	modify	1	common/mem.c
	source	modify	1	common/mem.h
	source	modify	1	common/s-v-arg.h
	source	modify	2	common/trace.h
	source	modify	1	common/version.c
	source	modify	1	common/version.h
	source	modify	1	english/english.h
	source	modify	1	english/phoneme.h
	source	modify	1	english/rules.h
	source	modify	1	english/saynum.h
	source	modify	1	english/spellword.h
	source	modify	3	klatt/klatt.c
	source	modify	2	klatt/klatt.h
	source	modify	1	klatt/parwave.h
	source	modify	1	klatt/r250.h
	source	modify	1	man1/recite.1
	source	modify	2	phonemes/features.h
	source	modify	1	phonemes/fricatives.h
	source	modify	3	phonemes/phonemes.h



Project "recite.1.0", Change 7					 Page 2
Change Details				       Wed Aug 11 12:17:50 1993

	Type	Action	Edit	File Name
	------- ------- ------- -----------
	source	modify	1	phonemes/plosives.h
	source	modify	1	phonemes/sonorants.h
	source	modify	1	phonemes/var.c
	source	modify	1	phonemes/var.h
	source	modify	1	phonemes/vowel.h
	source	modify	2	recite/file.c
	source	modify	1	recite/file.h
	source	modify	3	recite/main.c
	test	modify	1	test/00/t0003a.sh

HISTORY
	What		When		Who	Comment
	------		------		-----	---------
	new_change	Wed Aug 11	pmiller
			11:33:05 1993
	develop_begin	Wed Aug 11	pmiller Elapsed time: 0.086
			11:33:08 1993		days.
	develop_end	Wed Aug 11	pmiller
			12:12:02 1993
	review_pass	Wed Aug 11	pmiller
			12:12:11 1993
	integrate_begin Wed Aug 11	pmiller
			12:12:51 1993
